DoxygenTask.Property

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.doxygen.tools
Class DoxygenTask.Property

    java.lang.Object
      org.doxygen.tools.DoxygenTask.Property

Enclosing class:
  DoxygenTask

public static class DoxygenTask.Property
extends java.lang.Object

This inner class implements a nested Ant XML property container. This class is used for both nested and non-nested versioned properties.

Constructor Summary
`DoxygenTask.Property()`

Method Summary
`java.lang.String` | `getName()` This accessor method retrieves the current Doxygen parameter name.
`java.lang.String` | `getValue()` This access method retrieves the current Doxygen parameter value.
`void` | `setName(java.lang.String theNewName)` This method sets the Doxygen parameter name.
`void` | `setValue(java.lang.String theNewValue)` This method sets the value of the Doxygen parameter.
`java.lang.String` | `toString()` This method returns a String representation of this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoxygenTask.Property

    public DoxygenTask.Property()

Method Detail

### getName

    public final java.lang.String getName()

  This accessor method retrieves the current Doxygen parameter name.

  Returns:
    a `String` value containing the property key name.

### getValue

    public final java.lang.String getValue()

  This access method retrieves the current Doxygen parameter value.

  Returns:
    a `String` value containing the property value.

### setName

    public final void setName(java.lang.String theNewName)

  This method sets the Doxygen parameter name. This is the actual parameter name as seen in the Doxygen configuration file.

  Parameters:
    `theNewName` - of the property key.

### setValue

    public final void setValue(java.lang.String theNewValue)

  This method sets the value of the Doxygen parameter. In a nested element context, the value is a String. In the <doxygen> task context, typed values must be coerced to String form before being set as a Property.

  Parameters:
    `theNewValue` - of the property.

### toString

    public final java.lang.String toString()

  This method returns a String representation of this instance.

  Returns:
    a `String` containing identifying information about this instance.

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Ant-Doxygen JavaDocs